API ReferenceapipaymentsGET /v1/admin/promos

GET /v1/admin/promos

Service: payments · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 Active promotion codes

{
  "type": "object",
  "properties": {
    "promos": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "code": {
            "type": "string"
          },
          "active": {
            "type": "boolean"
          },
          "percent_off": {
            "type": [
              "number",
              "null"
            ]
          },
          "amount_off": {
            "type": [
              "integer",
              "null"
            ]
          },
          "currency": {
            "type": [
              "string",
              "null"
            ]
          },
          "expires_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "max_redemptions": {
            "type": [
              "integer",
              "null"
            ]
          },
          "times_redeemed": {
            "type": "integer"
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "code",
          "active",
          "percent_off",
          "amount_off",
          "currency",
          "expires_at",
          "max_redemptions",
          "times_redeemed",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "promos"
  ]
}

401 Unauthorized

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

403 Forbidden

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://payments.platform.loop.health/v1/admin/promos \
  -H "Authorization: Bearer $ACCESS_TOKEN"